searchData={"items":[{"type":"module","title":"Typst","doc":"This module provides the core functions for interacting with\nthe `typst` markup language compiler.\n\nNote that when using the formatting directives, they are exactly the same as\n`EEx`, so all of its constructs are supported.\n\nSee [Typst's documentation](https://typst.app/docs) for a quickstart.","ref":"Typst.html"},{"type":"function","title":"Typst.render_to_pdf/3","doc":"Converts a given piece of typst markup to a PDF binary.","ref":"Typst.html#render_to_pdf/3"},{"type":"function","title":"Examples - Typst.render_to_pdf/3","doc":"iex> {:ok, pdf} = Typst.render_to_pdf(\"= test\\n<%= name %>\", name: \"John\")\n    iex> is_binary(pdf)\n    true","ref":"Typst.html#render_to_pdf/3-examples"},{"type":"function","title":"Typst.render_to_pdf!/2","doc":"Same as `render_to_pdf/2`, but raises if the rendering fails.","ref":"Typst.html#render_to_pdf!/2"},{"type":"function","title":"Typst.render_to_string/2","doc":"Formats the given markup template with the given bindings, mostly \nuseful for inspecting and debugging.","ref":"Typst.html#render_to_string/2"},{"type":"function","title":"Examples - Typst.render_to_string/2","doc":"iex> Typst.render_to_string(\"= Hey <%= name %>!\", name: \"Jude\")\n    \"= Hey Jude!\"","ref":"Typst.html#render_to_string/2-examples"},{"type":"type","title":"Typst.formattable/0","doc":"","ref":"Typst.html#t:formattable/0"},{"type":"type","title":"Typst.pdf_opt/0","doc":"","ref":"Typst.html#t:pdf_opt/0"},{"type":"module","title":"Typst.Format","doc":"Contains helper functions for converting elixir datatypes into \nthe format that Typst expects","ref":"Typst.Format.html"},{"type":"function","title":"Typst.Format.table_content/1","doc":"Converts a series of columns mapped as a nested list to a format that can be \nplugged in an existing table.","ref":"Typst.Format.html#table_content/1"},{"type":"function","title":"Examples - Typst.Format.table_content/1","doc":"iex> columns = [[\"John\", 10, 20], [\"Alice\", 20, 30]]\n    iex> Typst.Format.table_content(columns)\n    ~s/\"John\", \"10\", \"20\",\\n  \"Alice\", \"20\", \"30\"/","ref":"Typst.Format.html#table_content/1-examples"},{"type":"type","title":"Typst.Format.column_data/0","doc":"","ref":"Typst.Format.html#t:column_data/0"},{"type":"extras","title":"Typst","doc":"# Typst\n\nThis library interfaces with the Typst typesetting rust library","ref":"readme.html"},{"type":"extras","title":"Installation - Typst","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `typst` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:typst, \"~> 0.1\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}